Bug 1464702 - [abrt] blueman: SetAdapter(): DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
[abrt] blueman: SetAdapter(): DeviceList.py:240:SetAdapter:AttributeError: 'N...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d0faecf5e340990f07f2e2bd3b5...
:
: 1496684 1497476 1500030 1507207 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-24 14:54 EDT by justo.mayora
Modified: 2018-05-29 07:28 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (691 bytes, text/plain)
2017-06-24 14:54 EDT, justo.mayora
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-24 14:54 EDT, justo.mayora
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-06-24 14:54 EDT, justo.mayora
no flags Details
File: environ (1.53 KB, text/plain)
2017-06-24 14:54 EDT, justo.mayora
no flags Details
File: mountinfo (5.54 KB, text/plain)
2017-06-24 14:54 EDT, justo.mayora
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-24 14:54 EDT, justo.mayora
no flags Details
File: open_fds (1.05 KB, text/plain)
2017-06-24 14:54 EDT, justo.mayora
no flags Details

  None (edit)
Description justo.mayora 2017-06-24 14:54:17 EDT
Version-Release number of selected component:
blueman-2.1-0.5.alpha1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.6-301.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blueman/gui/DeviceList.py", line 63, in on_adapter_removed
    self.SetAdapter()
  File "/usr/lib/python3.6/site-packages/blueman/gui/DeviceList.py", line 240, in SetAdapter
    self.Adapter.connect_signal('property-changed', self._on_property_changed)
AttributeError: 'NoneType' object has no attribute 'connect_signal'

Local variables in innermost frame:
adapter: None
self: <ManagerDeviceList.ManagerDeviceList object at 0x7f25ac1d2090 (blueman+gui+manager+ManagerDeviceList+ManagerDeviceList at 0x558fbd7f03e0)>
Comment 1 justo.mayora 2017-06-24 14:54:21 EDT
Created attachment 1291554 [details]
File: backtrace
Comment 2 justo.mayora 2017-06-24 14:54:22 EDT
Created attachment 1291555 [details]
File: cgroup
Comment 3 justo.mayora 2017-06-24 14:54:24 EDT
Created attachment 1291556 [details]
File: cpuinfo
Comment 4 justo.mayora 2017-06-24 14:54:25 EDT
Created attachment 1291557 [details]
File: environ
Comment 5 justo.mayora 2017-06-24 14:54:26 EDT
Created attachment 1291558 [details]
File: mountinfo
Comment 6 justo.mayora 2017-06-24 14:54:27 EDT
Created attachment 1291559 [details]
File: namespaces
Comment 7 justo.mayora 2017-06-24 14:54:28 EDT
Created attachment 1291560 [details]
File: open_fds
Comment 8 jonathan.lieb 2017-07-11 16:46:52 EDT
Similar problem has been detected:

My bluetooth does not work after Updating from Fedora Workstation 25 to 26. Befor the Update it worked fine. 

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.8-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 9 Patrick Frost 2017-07-30 14:02:12 EDT
Similar problem has been detected:

I opened Control Center in Fedora MATE and clicked on the Bluetooth Manager icon. It asked me if I wanted to Enable Bluetooth, and I said yes. Then, the problem occurred.

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.11-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 10 lew 2017-08-03 11:57:31 EDT
Similar problem has been detected:

Continually happens - have not been able to get a2dp profile to even show up

reporter:       libreport-2.9.1
cmdline:        python3 /usr/bin/blueman-assistant --device=00:2E:F7:00:1C:65
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-assistant
kernel:         4.11.11-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 11 bitchecker 2017-08-20 11:41:59 EDT
Similar problem has been detected:

simple click on tray icon to open bluetooth properties

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.11.11-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 12 Yulian Dimitrov 2017-08-25 01:15:36 EDT
Similar problem has been detected:

trying to connect bluetoth speakers via blueman.

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.12.8-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 13 daozor 2017-09-28 02:49:22 EDT
*** Bug 1496684 has been marked as a duplicate of this bug. ***
Comment 14 Kjeld Olsen 2017-09-30 16:57:28 EDT
*** Bug 1497476 has been marked as a duplicate of this bug. ***
Comment 15 Michael Vorburger 2017-10-02 08:11:32 EDT
Similar problem has been detected:

started crashing after I upgraded from Fedora 24 to Fedora 26. I don't need it anyway, so have just uninstalled it, but thought you may be interested in this feedback, anyway.

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.12.14-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000
Comment 16 Andreas Bleischwitz 2017-10-04 06:22:01 EDT
Similar problem has been detected:

Crash was reported during an other device was playing via BT to the headset and the laptop also raised a sound-event to the same BT-headset.

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.12.14-300.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            15767
Comment 17 Loic Wendling 2017-10-09 13:18:36 EDT
*** Bug 1500030 has been marked as a duplicate of this bug. ***
Comment 18 Jean-Philippe 2017-10-28 05:37:07 EDT
*** Bug 1507207 has been marked as a duplicate of this bug. ***
Comment 19 Alejandro Mesias 2017-11-10 06:25:37 EST
Similar problem has been detected:

Always I have problems with bluetooth, I use an bluetooth mouse, then when turn off the computer or when it sleeps, 
after the turn on sometimes the bluetooth starts turned off, then it too hard to put it to work again.

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.13.9-200.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1001
Comment 20 Alejandro Mesias 2017-11-28 12:05:14 EST
Similar problem has been detected:

Always when I turn on my computer, fedora refuses to turn on bluetooth on boot. I have a bt mouse

reporter:       libreport-2.9.1
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.13.13-200.fc26.x86_64
package:        blueman-2.1-0.5.alpha1.fc26
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1001
Comment 21 Fedora End Of Life 2018-05-03 04:08:42 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2018-05-29 07:28:23 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.